# User Explorer

{% hint style="info" %}
**Recommended for use in debug builds only.**
{% endhint %}

This guide explains how to check user identifiers and force-assign users to A/B Tests and Feature Flags.

Add the following code.

```javascript
import { createInstance } from "@hackler/react-native-sdk";

// YOUR_BROWSER_SDK_KEY로 초기화
const hackleClient = createInstance(YOUR_BROWSER_SDK_KEY, config);

// 사용자 탐색을 나타내고 싶은 시점에 Trigger 되도록 해주세요.
hackleClient.showUserExplorer()
```

A Hackle logo button is displayed at the bottom of the screen. Clicking the button opens the settings screen.

![](/files/fdxpnGBiceda3xun4sOA)

## Checking User Identifiers

You can check and copy user identifiers at the top of the screen.

![](/files/vGGsKdqk7jfDsPHhlsFY)

## Force Assignment

* You can check the distribution results of A/B Tests and Feature Flags at the bottom of the screen.
* Click the SelectBox to force-assign a user to a specific group.
* Clicking the `Reset` button removes the force assignment.
* Clicking the `Reset all` button removes all force assignments.
* When force-assigned in the app, it only applies when distributing in that app. (It is not registered as a Test Device on the Dashboard.)
* If force assignment is not applied, please fully close and relaunch the app.

![](/files/1Pn2kETT4dZeNL6FiXGp)

![](/files/mQELar4HvQuTYi5EBndu)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/en/development-guide/react-native/react-native-user-explorer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
